Package org.opensaml.saml.saml2.encryption

# Enum Class Encrypter.KeyPlacement

java.lang.Object
java.lang.Enum<Encrypter.KeyPlacement>
org.opensaml.saml.saml2.encryption.Encrypter.KeyPlacement

All Implemented Interfaces:
  `Serializable`, `Comparable<Encrypter.KeyPlacement>`, `Constable`

Enclosing class:
  Encrypter

public static enum Encrypter.KeyPlacement extends Enum<Encrypter.KeyPlacement>
Options for where to place the resulting EncryptedKey elements with respect to the associated EncryptedData element.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INLINE`
Place the EncryptedKey element(s) within the KeyInfo of the EncryptedData.
`PEER`
Place the EncryptedKey element(s) as a peer to the EncryptedData inside the EncryptedElementType.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`KeyPlacement()`

## Method Summary

Modifier and Type
Method
Description
`static Encrypter.KeyPlacement`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Encrypter.KeyPlacement[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PEER

public static final Encrypter.KeyPlacement PEER
Place the EncryptedKey element(s) as a peer to the EncryptedData inside the EncryptedElementType.

### INLINE

public static final Encrypter.KeyPlacement INLINE
Place the EncryptedKey element(s) within the KeyInfo of the EncryptedData.

## Constructor Details

### KeyPlacement

private KeyPlacement()

## Method Details

### values

public static Encrypter.KeyPlacement[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Encrypter.KeyPlacement valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null